<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- expected parameters:
          managedBean : name of the main bean used in the page including this page
      -->

        <s:decorate template="patientConfiguration.xhtml">
            <ui:param name="managedBean" value="#{automatonManager}"/>
            <ui:param name="allowPatientGeneration" value="false"/>
            <ui:define name="helpText">

            </ui:define>
            <ui:define name="actionOnPatientColumn">
                <g:column>
                    <f:facet name="header">#{messages['gazelle.pam.Actions']}</f:facet>
                    <div class="gzl-never-wrap">
                        <h:outputLink value="#{patient.permanentLink}"
                                      target="blank">
                            <s:span styleClass="gzl-icon-search "/>
                        </h:outputLink>
                        <a4j:commandLink title="#{messages['gazelle.pam.SelectThisPatient']}"
                                         actionListener="#{automatonManager.selectPatient(patient)}"
                                         render="messageConfigurationPanel">
                            <s:span styleClass="gzl-icon-medkit "/>
                        </a4j:commandLink>
                    </div>
                </g:column>
            </ui:define>
            <ui:define name="ddsButtons">
                <a4j:commandButton value="#{messages['gazelle.simulator.pam.GeneratePatient']}"
                                   actionListener="#{automatonManager.generateSelectedPatient()}"
                                   styleClass="gzl-btn-blue"
                                   render="messageConfigurationPanel"/>
            </ui:define>
            <ui:define name="selectedPatient">
                <f:subview id="displayPatientInfo"
                           rendered="#{automatonManager.currentEncounter.patient != null}">
                    <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                        <ui:define name="panel_title">
                            #{messages['gazelle.simulator.pam.SelectedPatient']}
                        </ui:define>
                        <s:div id="show"
                               rendered="#{not automatonManager.displayEditPatientPanel}">
                            <ui:include src="/patient/showPatient.xhtml">
                                <ui:param name="patient"
                                          value="#{automatonManager.currentEncounter.patient}"/>
                                <ui:param name="renderHistory" value="{iti30Manager.bp6Mode}"/>
                                <ui:param name="renderEncounters" value="false"/>
                                <ui:param name="showLinks" value="false"/>
                                <ui:param name="renderZFD" value="#{iti30Manager.bp6Mode}"/>
                                <ui:param name="zfp" value="#{iti30Manager.bp6Mode}"/>
                                <ui:param name="prefix" value="def"/>
                                <ui:param name="renderRelationships" value="false"/>
                                <ui:param name="zfs" value="false"/>
                            </ui:include>
                        </s:div>
                        <s:div id="edit" rendered="#{automatonManager.displayEditPatientPanel}">
                            <ui:include src="editPatient.xhtml">
                                <ui:param name="patient"
                                          value="#{automatonManager.currentEncounter.patient}"/>
                                <ui:param name="renderHistory" value="#{iti30Manager.bp6Mode}"/>
                                <ui:param name="renderZFD" value="#{iti30Manager.bp6Mode}"/>
                                <ui:param name="zfp" value="#{iti30Manager.bp6Mode}"/>
                                <ui:param name="renderEncounters" value="false"/>
                                <ui:param name="managedBean" value="#{automatonManager}"/>
                                <ui:param name="allowPidMgmt" value="#{false}"/>
                                <ui:param name="renderRelationships" value="#{false}"/>
                            </ui:include>
                        </s:div>
                        <ui:define name="panel_footer">
                            <h:panelGroup rendered="#{!automatonManager.displayTestResults}">
                                <a4j:commandButton value="#{messages['gazelle.pam.ChooseAnotherPatient']}"
                                                   actionListener="#{automatonManager.resetPatientChoice()}"
                                                   render="messageConfigurationPanel"
                                                   styleClass="gzl-btn"/>
                                <a4j:commandButton value="#{messages['gazelle.pam.EditPatientInformations']}"
                                                   actionListener="#{automatonManager.setDisplayEditPatientPanel(true)}"
                                                   render="mainPatientPanel" styleClass="gzl-btn-blue"
                                                   rendered="#{not automatonManager.displayEditPatientPanel}"/>
                                <a4j:commandButton value="#{messages['gazelle.pam.ShowPatientInformations']}"
                                                   actionListener="#{automatonManager.setDisplayEditPatientPanel(false)}"
                                                   render="mainPatientPanel" styleClass="gzl-btn-blue"
                                                   rendered="#{automatonManager.displayEditPatientPanel}"/>
                            </h:panelGroup>
                        </ui:define>
                    </ui:decorate>
                </f:subview>
            </ui:define>
            <ui:define name="additionalPanels">
                <s:div id="encounterEditPanel"
                       rendered="#{automatonManager.currentEncounter != null}">
                    <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                        <ui:define name="panel_title">#{messages['gazelle.simulator.pam.SelectedEncounter']}</ui:define>
                        <f:subview id="newEncounterView"
                                   rendered="#{automatonManager.currentEncounter.id == null}">
                            <ui:include src="automatonEditEncounter.xhtml">
                                <ui:param name="aEncounter"
                                          value="#{automatonManager.currentEncounter}"/>
                                <ui:param name="aMovement" value="#{automatonManager.historicMovement}"/>
                                <ui:param name="event" value="null"/>
                                <ui:param name="historic" value="true"/>
                            </ui:include>
                        </f:subview>
                        <ui:define name="panel_footer">
                            <a4j:commandButton value="#{messages['gazelle.simulator.pam.RandomlyFillTheEncounter']}"
                                               actionListener="#{automatonManager.randomlyFillEncounter()}"
                                               render="encounterEditPanel"
                                               styleClass="gzl-btn-blue"
                                               rendered="#{automatonManager.currentEncounter.id == null}"/>
                            <a4j:commandButton value="#{messages['gazelle.pam.ChooseAnotherEncounter']}"
                                               actionListener="#{automatonManager.resetPatientChoice()}"
                                               render="messageConfigurationPanel"
                                               styleClass="gzl-btn"
                                               rendered="#{automatonManager.currentEncounter.id != null}"/>
                        </ui:define>
                    </ui:decorate>
                </s:div>
            </ui:define>
        </s:decorate>
</ui:composition>
